Page MenuHomePhabricator

Make sync-wikiversions check that a valid localisation cache exists when syncing new versions
Closed, ResolvedPublic

Description

If we deploy a new version of medawiki via sync-wikiversions that doesn't have a valid localisation cache, the site will literally explode.

We should add a simple sanity check to sync-wikiversions that makes sure there is a localisation cache in place for all versions being deployed

Related: Don't delete old l10n cache till new versions known stable? Wait 24 hours?

Event Timeline

Reedy created this task.May 27 2015, 11:00 PM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 11:00 PM
greg set Security to None.
Reedy triaged this task as High priority.May 27 2015, 11:03 PM
Reedy added a comment.May 28 2015, 1:40 PM

I guess a file existence check of php-$version/cache/l10n/en.cdb (path from memory) is probably enough of a sanity check

mmodell claimed this task.Jun 1 2015, 6:02 PM
Aklapper renamed this task from Make sync-wikiverisons check that a valid localisation cache exists when syncing new versions to Make sync-wikiversions check that a valid localisation cache exists when syncing new versions.Jun 1 2015, 6:11 PM

We could/should also check for wmf-config/ExtensionMessages-$v.php

Change 226353 had a related patch set uploaded (by 20after4):
Check for l10n cache before sync-wikiversions

https://gerrit.wikimedia.org/r/226353

Reedy added a comment.Jul 22 2015, 8:23 PM

We could/should also check for wmf-config/ExtensionMessages-$v.php

Good idea as an additional sanity check :)

Change 226353 merged by jenkins-bot:
Check for l10n cache before sync-wikiversions

https://gerrit.wikimedia.org/r/226353

greg added a subscriber: greg.Aug 21 2015, 11:10 PM

Should https://gerrit.wikimedia.org/r/#/c/224629/ also be merged along with this?